
#define CURTAINS_PUZZLE_IMPOSSIBLE		(-1)
#define CURTAINS_PUZZLE_NOTHINGHAPPENS	(0)
#define CURTAINS_PUZZLE_CLOSEBUTNOCIGAR	(1)
#define CURTAINS_PUZZLE_SUCCESS			(2)


void curtainsInitialise(void);
void curtainsRatOnRope(CHARACTER *pC, SCENIC *pRope);
int curtainsEvaluatePuzzle(void);
CHARACTER *curtainsGetRatOnRope(int side);
void curtainsSetRatOnRope(int side, void *p);
int curtainsMain(void);
